std::__detail::_State Struct Reference
Base and Implementation Classes

## Public Types

typedef int | _OpcodeT

## Public Member Functions

| _State (_OpcodeT __opcode)
| _State (const _Matcher &__m)
| _State (_OpcodeT __opcode, unsigned int __s, const _Tagger &__t)
| _State (_StateIdT __next, _StateIdT __alt)

## Public Attributes

_StateIdT | _M_alt
_Matcher | _M_matches
_StateIdT | _M_next
_OpcodeT | _M_opcode
unsigned int | _M_subexpr
_Tagger | _M_tagger

## Detailed Description

struct _State

An individual state in an NFA

In this case a "state" is an entry in the NFA definition coupled with its outgoing transition(s). All states have a single outgoing transition, except for accepting states (which have no outgoing transitions) and alt states, which have two outgoing transitions.

Definition at line 224 of file regex_nfa.h.

The documentation for this struct was generated from the following file:

- regex_nfa.h